For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Workflows
    • Overview
  • Get Started
    • MCP Quick Start
    • API Quick Start
  • MCP Server
    • Overview
    • Installation
  • Direct API
    • Overview
    • Authentication
      • GETGet all minds
      • POSTCreate a new mind
      • GETSearch minds
      • GETGet mind by ID
      • PUTUpdate mind by ID
      • DELDelete mind by ID
      • POSTRun simulation
      • GETGet signed URL for artifact upload
      • GETGet memory bank snapshots
      • POSTCreate a memory bank snapshot
      • GETGet memory bank snapshot status
      • GETGet all tags
      • PUTUpdate a tag
      • DELDelete a tag
      • PUTSet tags for a mind
      • GETList simulations
      • GETGet a simulation
      • DELDelete a simulation
      • GETGet psychometrics for a snapshot
      • GETGet topic analysis for a snapshot
      • GETGet snapshot details
      • POSTCreate a snapshot link
      • DELDelete a snapshot
      • POSTLink a snapshot
      • POSTUnlink a snapshot
      • GETGet API Key Usage
      • POSTProxy a request
    • Error Handling
  • SDKs
  • Core Concepts
    • Minds, Snapshots, & Simulations
    • SOC 2, HIPAA, & GDPR
LogoLogo
LogoLogo
Direct APIAPI Reference

Delete a simulation

DELETE
https://api.reasoner.com/api/mindsim/simulations/:simulationId
DELETE
/api/mindsim/simulations/:simulationId
$curl -X DELETE https://api.reasoner.com/api/mindsim/simulations/123e4567-e89b-12d3-a456-426614174000 \
> -H "Authorization: Bearer <token>"
1{
2 "message": "Simulation deleted successfully",
3 "simulationId": "123e4567-e89b-12d3-a456-426614174000"
4}
Deletes a simulation by ID
Was this page helpful?
Previous

Get psychometrics for a snapshot

Next
Built with

Authentication

AuthorizationBearer

API key passed as Bearer token in Authorization header (e.g., “Authorization: Bearer YOUR_API_KEY”)

Path parameters

simulationIdstringRequired

Response

Successful response
messagestring
simulationIdstring

Errors

403
Forbidden Error
404
Not Found Error